Page MenuHomePhabricator

[libc++] Remove noexcept specifier from operator""s
ClosedPublic

Authored by philnik on Aug 21 2022, 6:18 PM.

Details

Summary

For some reason operator""s(const char8_t*, size_t) was marked noexcept. Remove it and add regression tests.

Diff Detail

Event Timeline

philnik created this revision.Aug 21 2022, 6:18 PM
Herald added a project: Restricted Project. · View Herald TranscriptAug 21 2022, 6:18 PM
philnik requested review of this revision.Aug 21 2022, 6:18 PM
Herald added a project: Restricted Project. · View Herald TranscriptAug 21 2022, 6:18 PM
Herald added a reviewer: Restricted Project. · View Herald Transcript
var-const added inline comments.Aug 25 2022, 3:39 PM
libcxx/include/string
4600

Looks like this patch has unrelated changes?

philnik marked an inline comment as done.Aug 26 2022, 8:42 AM
philnik added inline comments.
libcxx/include/string
4600

Yes, thanks!

huixie90 accepted this revision as: huixie90.Aug 28 2022, 2:44 AM

LGTM with green CI

philnik updated this revision to Diff 457221.Sep 1 2022, 3:45 AM
philnik marked an inline comment as done.
  • Try to fix CI
philnik updated this revision to Diff 457593.Sep 2 2022, 7:21 AM
  • Try to fix CI
ldionne accepted this revision.Sep 2 2022, 8:17 AM
This revision is now accepted and ready to land.Sep 2 2022, 8:17 AM
This revision was automatically updated to reflect the committed changes.